| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
cpu_core.c File Reference
`#include <cpu_core.h>`

Go to the source code of this file.

## Macros
#define | CPU_CORE_MODULE

## Functions
static void | CPU_NameInit (void)
static void | CPU_TS_Init (void)
void | CPU_Init (void)
void | CPU_SW_Exception (void)
void | CPU_NameClr (void)
void | CPU_NameGet (CPU_CHAR *p_name, CPU_ERR *p_err)
void | CPU_NameSet (const CPU_CHAR *p_name, CPU_ERR *p_err)
CPU_TS32 | CPU_TS_Get32 (void)
CPU_TS64 | CPU_TS_Get64 (void)
void | CPU_TS_Update (void)
CPU_TS_TMR_FREQ | CPU_TS_TmrFreqGet (CPU_ERR *p_err)
void | CPU_TS_TmrFreqSet (CPU_TS_TMR_FREQ freq_hz)
CPU_DATA | CPU_CntLeadZeros (CPU_DATA val)

## Variables
static const CPU_INT08U | CPU_CntLeadZerosTbl [256]

## Macro Definition Documentation

#define CPU_CORE_MODULE

Definition at line 41 of file cpu_core.c.

## Function Documentation

CPU_DATA CPU_CntLeadZeros | ( | CPU_DATA | val | ) |

Definition at line 1141 of file cpu_core.c.

void CPU_Init | ( | void |  | ) |

Definition at line 191 of file cpu_core.c.

void CPU_NameClr | ( | void |  | ) |

Definition at line 261 of file cpu_core.c.

void CPU_NameGet | ( | CPU_CHAR * | p_name,
|  | CPU_ERR * | p_err
| ) |  |

Definition at line 306 of file cpu_core.c.

static void CPU_NameInit | ( | void |  | ) |
| static

Definition at line 1285 of file cpu_core.c.

void CPU_NameSet | ( | const CPU_CHAR * | p_name,
|  | CPU_ERR * | p_err
| ) |  |

Definition at line 360 of file cpu_core.c.

void CPU_SW_Exception | ( | void |  | ) |

Definition at line 231 of file cpu_core.c.

CPU_TS32 CPU_TS_Get32 | ( | void |  | ) |

Definition at line 447 of file cpu_core.c.

CPU_TS64 CPU_TS_Get64 | ( | void |  | ) |

Definition at line 529 of file cpu_core.c.

static void CPU_TS_Init | ( | void |  | ) |
| static

Definition at line 1322 of file cpu_core.c.

CPU_TS_TMR_FREQ CPU_TS_TmrFreqGet | ( | CPU_ERR * | p_err | ) |

Definition at line 627 of file cpu_core.c.

void CPU_TS_TmrFreqSet | ( | CPU_TS_TMR_FREQ | freq_hz | ) |

Definition at line 679 of file cpu_core.c.

void CPU_TS_Update | ( | void |  | ) |

Definition at line 584 of file cpu_core.c.

## Variable Documentation

const CPU_INT08U CPU_CntLeadZerosTbl[256]
| static

Initial value:
= {
8u, 7u, 6u, 6u, 5u, 5u, 5u, 5u, 4u, 4u, 4u, 4u, 4u, 4u, 4u, 4u,
3u, 3u, 3u, 3u, 3u, 3u, 3u, 3u, 3u, 3u, 3u, 3u, 3u, 3u, 3u, 3u,
2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u,
2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u, 2u,
1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u,
1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u,
1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u,
1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u, 1u,
0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u,
0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u,
0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u,
0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u,
0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u,
0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u,
0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u,
0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u
}

Definition at line 94 of file cpu_core.c.